#include <iostream>
using namespace std;
int main(){
    int n,brzambr;
    cin>>n>>brzambr;
    int niz[n],nizz[brzambr];
    for (int i = 0; i < n; i++)
    {
        cin>>niz[i];
    } 
    for (int i = 0; i < brzambr; i++)
    {
        cin>>nizz[i];
    }
    int nizzz[brzambr];
    
    for (int i = 0; i < brzambr; i++)
    {
        int brvecih=0;
        bool jeunizu=false;
        for (int j = 0; j < n; j++)
        {
            if (nizz[i]<niz[j]){
                brvecih++;// super
            }
            else if(nizz[i]==niz[j]){
            jeunizu=true;

            }
            
        //1 3 4 4 4 5 7 9-4;
        }
        if (brvecih>=n/2)
        {
            nizzz[i]=2*brvecih-n+1;
        }
        else{
            if (jeunizu)
            {
                nizzz[i]=n-2*brvecih-2;
            }
            else
            {
                nizzz[i]=n-2*brvecih;
            }
            
        }
    }
    for (int i = 0; i < brzambr; i++)
    {
        cout<<nizzz[i]<<endl;
    }
    
    
}